---
# host definitions
all:  # keys must be unique, i.e. only one 'hosts' per group
  hosts:
    dns.cm.local:
#      ansible_host: 192.168.124.5
    build.cm.local:
#      ansible_host: 192.168.124.10
    registry.cm.local:
#      ansible_host: 192.168.124.11
    cms.cm.local:
#      ansible_host: 192.168.124.20
    mls.cm.local:
#      ansible_host: 192.168.124.30
    rls-01.cm.local:
#      ansible_host: 192.168.124.35
    rls-02.cm.local:
#      ansible_host: 192.168.124.36
    monitoring.cm.local:
#      ansible_host: 192.168.124.50
    dba-frontend.cm.local:
#      ansible_host: 192.168.124.100
    dba-backend.cm.local:
#      ansible_host: 192.168.124.110

  # vars for all hosts
  vars:
    ansible_ssh_user: ansible
    ansible_ssh_pass: "{{ vault__ssh_password__ansible  }}"
    ansible_become_pass: "{{ vault__become_password }}"
    ansible_python_interpreter: /usr/bin/python3

  children:
    dns:
      hosts:
        dns.cm.local:
    build:
      hosts:
        build.cm.local:
    databases:
      hosts:
        dba-frontend.cm.local:
        dba-backend.cm.local:
    rls:
      hosts:
        rls-01.cm.local:
        rls-02.cm.local:
    contentserver:
      hosts:
        cms.cm.local:
        mls.cm.local:
        rls-01.cm.local:
        rls-02.cm.local:

    delivery:
      hosts:
        rls-01.cm.local:
        rls-02.cm.local:
    backend:
      hosts:
        cms.cm.local:

...
